import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

with open('requirements.txt') as f:
    requirements = f.read().splitlines()

with open('extras-requirements.txt') as f:
    extras_requirements = f.read().splitlines()


setuptools.setup(
    name="honeybee-display",
    use_scm_version=True,
    setup_requires=['setuptools_scm'],
    author="Ladybug Tools",
    author_email="info@ladybug.tools",
    description="Adds methods to translate honeybee objects to VisualizationSets.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/ladybug-tools/honeybee-display",
    packages=setuptools.find_packages(exclude=["tests*"]),
    install_requires=requirements,
    extras_require={'full': extras_requirements},
    entry_points={
        "console_scripts": ["honeybee-display = honeybee_display.cli:display"]
    },
    classifiers=[
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: Implementation :: CPython",
        "License :: OSI Approved :: GNU Affero General Public License v3",
        "Operating System :: OS Independent"
    ],
    license="AGPL-3.0"
)
